Markets
Get market order book
Returns the current order book (bids and asks) for a specific market. Includes depth information for both Yes and No outcomes.
GET
/
v1
/
api
/
markets
/
id
/
{id}
/
orderbook
Get market order book
curl --request GET \
--url https://api.dotprediction.io/v1/api/markets/id/{id}/orderbook \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.dotprediction.io/v1/api/markets/id/{id}/orderbook"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.dotprediction.io/v1/api/markets/id/{id}/orderbook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"market_id": "<string>",
"platform": "<string>",
"timestamp": "<string>",
"yes": {
"bids": [
{
"price": 123,
"size": 123
}
],
"asks": [
{
"price": 123,
"size": 123
}
],
"depth": 123
},
"no": {
"bids": [
{
"price": 123,
"size": 123
}
],
"asks": [
{
"price": 123,
"size": 123
}
],
"depth": 123
},
"metadata": {
"min_order_size": 123,
"tick_size": 123,
"neg_risk": true
}
},
"meta": {
"request_time": 123
}
}{
"error": {
"status": 123,
"message": "<string>",
"resolution": "<string>",
"error_text": "<string>"
}
}{
"error": {
"status": 123,
"message": "<string>",
"resolution": "<string>",
"error_text": "<string>"
}
}{
"error": {
"status": 123,
"message": "<string>",
"resolution": "<string>",
"error_text": "<string>"
}
}Authorizations
API key for authentication. Generate one via the dashboard or the /v1/api/auth/api-keys endpoint.
Path Parameters
The market ID.
Query Parameters
The prediction market platform to query.
Available options:
kalshi, polymarket, limitless Include the raw provider response.
Available options:
true, false Previous
Get market tradesReturns a paginated list of trades for a specific market. Available for Kalshi and Polymarket only (not supported by Limitless).
Next
⌘I
Get market order book
